Bug 1330427 - Packaged Thunderbird Lightning calendar incompatible with Thunderbird 45
Summary: Packaged Thunderbird Lightning calendar incompatible with Thunderbird 45
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 22
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 08:42 UTC by Steve Bryant
Modified: 2017-02-03 16:02 UTC (History)
14 users (show)

Fixed In Version: thunderbird-45.1.0-2.fc23 thunderbird-45.1.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:01:20 UTC


Attachments (Terms of Use)

Description Steve Bryant 2016-04-26 08:42:52 UTC
Description of problem:
thunderbird-lighntning (included in Fedora thunderbird package since version 38.2.0-2) is incompatible with Thunderbird 45

Version-Release number of selected component (if applicable):
thunderbird-45.0-2.fc23.x86_64

How reproducible:


Steps to Reproduce:
1. Upgrade Thunderbird to version 45
2.
3.

Actual results:
Existing entries greyed.  Doble-clicking on any produce a pop-up with the text:
"XML Parsing Error: undefined entity
Location: chrome://calendar/content/calendar-event-dialog.xul
Line Number 1216, Column 23:                      <checkbox id="notify-attendees-checkbox"
----------------------^"

Expected results:
Pop-up window displayed enabling editing of the event.

Additional info:
Manually downloading and installing lightning-4.7-sm+tb-linux.xpi from Mozilla Thunderbird Addons restored Lightning functionality.

Comment 1 Jan Horak 2016-04-26 11:58:51 UTC
I cannot reproduce with Thunderbird 45. Could you please try a fresh profile? Are you using lightning bundled in thunderbird rpm package? What is the lightning version (you can find out it in Help/troubleshooting information under Extensions section).

Comment 2 Steve Bryant 2016-04-26 13:29:26 UTC
I uninstalled Thunderbird 45.0-2.fc23 and then installed version 38.3.0-1.fc23 again. 

I created a new profile and checked the calendar version - Lightning 4.0.3, which appeared to function correctly.

I then upgraded to 45.0-2.fc23 (had a full RPM download, not a DRPM) and accessed that using the new Thunderbird profile.

Lightning 4.7 is shown as an add-on under my new profile, but the calendar is non-functional - double-clicking on any day produces the "XML Parsing Error" pop-up.  The same occurs under any new profiles created since upgrading to Thunderbird 45.

Comment 3 Steve Bryant 2016-04-26 13:37:21 UTC
I also tried renaming ~/.thunderbird directory before starting Thunderbird - a new ".thunderbird" directory was created, but Lightning 4.7 still not functional.

Comment 4 Jan Horak 2016-04-26 13:41:53 UTC
What kind of calendar provider are you using?

Comment 5 Jan Horak 2016-04-27 07:40:02 UTC
And are you able to reproduce with upstream binary from: http://archive.mozilla.org/pub/thunderbird/releases/45.0/ ?

Comment 6 Steve Bryant 2016-04-27 07:57:49 UTC
In Thunderbird 45.0 downloaded from Mozilla, the calendar (Lightning 4.7) works fine.

Comment 7 Arif Saleem 2016-05-02 13:09:54 UTC
I have exactly the same problem. Fedora 23 64bit.
thunderbird 38 was fine with Calendar. After the update to thunderbird 45, calendar no longer allows me to add new entries. I get a popup window with the error :
XML Parsing Error: undefined entity
Location: chrome://calendar/content/calendar-event-dialog.xul
Line Number 1216, Column 23:                      <checkbox id="notify-attendees-checkbox"
----------------------^

The calendar is just a local calendar within Thunderbird.
HTH

Comment 8 Arif Saleem 2016-05-03 13:34:21 UTC
BTW, I downloaded and installed Lightning manually from here :
https://addons.mozilla.org/en-US/thunderbird/addon/lightning/
And now it's working fine for me too too.

Comment 9 sirrahn 2016-05-10 23:59:29 UTC
I have exactly the same error on a fresh install of thunderbird 45 with included calendar. I'm using korora 23. 

XML Parsing Error: undefined entity
Location: chrome://calendar/content/calendar-event-dialog.xul
Line Number 1216, Column 23:

Comment 10 Andrew Meredith 2016-05-11 12:09:43 UTC
Same here.

XML Parsing Error: undefined entity
Location: chrome://calendar/content/calendar-event-dialog.xul
Line Number 1216, Column 23:
                      <checkbox id="notify-attendees-checkbox"
----------------------^

thunderbird-45.0-4.fc23.x86_64

Comment 11 ekes 2016-05-13 07:56:00 UTC
Confirming bug and error message #7 #10 for Thunderbird 45.0-2.fc22.x86_64 and Lightning 2.1.0-2.fc22.x86_64
And that the (temporary) fix from #8 works.

Comment 12 Andrew Meredith 2016-05-13 13:54:54 UTC
I also tried the tmp fix in #8 but sadly it didn't work.

Comment 13 Jan Horak 2016-05-16 12:55:12 UTC
Could you tell me which locale are you using please?

Comment 14 Andrew Meredith 2016-05-16 13:10:56 UTC
Globally "LANG=en_GB.utf8" if that's what you are asking

Comment 15 Jan Horak 2016-05-16 14:13:10 UTC
Hm, it seems that en_GB langpack and maybe some others for calendar are broken, please try to set LANG to en_US.utf8, for example from terminal, run:
LANG=en_US.utf8 thunderbird
and retest. Thank you.

Comment 16 sirrahn 2016-05-16 23:57:45 UTC
The fix in #15 worked perfectly for me when run with thunderbird closed.

Comment 17 sirrahn 2016-05-17 00:39:37 UTC
(In reply to sirrahn from comment #16)
> The fix in #15 worked perfectly for me when run with thunderbird closed.

I spoke too soon. It looked like it was running well - all calendars loaded etc. But there were some error on the terminal and the next time I restarted thunderbird an error came up saying that extension had been stopped and I was logged out of my account. I can't start thunderbird at all now and assume I will have to reinstall from scratch.

Comment 18 Jan Horak 2016-05-17 07:20:46 UTC
(In reply to sirrahn from comment #17)
> (In reply to sirrahn from comment #16)
> > The fix in #15 worked perfectly for me when run with thunderbird closed.
> 
> I spoke too soon. It looked like it was running well - all calendars loaded
> etc. But there were some error on the terminal and the next time I restarted
> thunderbird an error came up saying that extension had been stopped and I
> was logged out of my account. I can't start thunderbird at all now and
> assume I will have to reinstall from scratch.

I've also hit it. It seems that calendar is allocating too big window which crashes Gnome shell (it won't crash in Open box for example, but still behaves strangely). Please delete localstore.rdf from your thunderbird profile (usually located in $HOME/.thunderbird/[randomchars].default/localstore.rdf) to fix that. I'll build a fixed package without calendar langpacks which breaks the lightning extension.

Comment 19 ekes 2016-05-17 07:25:47 UTC
I'll add that I'm using 'Awesome' WM and LANG=en_GB.UTF-8

Comment 20 Andrew Meredith 2016-05-18 09:42:36 UTC
I'm afraid using "LANG=en_US.utf8 thunderbird" made no difference.

However, I can switch the crash on and off by enabling and disabling the extension in:

thunderbird-lightning-gdata-45.02.6.0.3-4.fc23.x86_64

I am also a little confused as to why there is a packaged Lightning extension but you have to download Lightning itself.

I am currently running the downloaded Lightning 4.7 with the UK language pack and all is well. As soon as I switch "Provider for Google Calendar 2.6" back on TBird crashes during startup every time .. with either the UK or US language packs.

Comment 21 Andrew Meredith 2016-05-18 10:02:32 UTC
Just for paranoia, I uninstalled the rpm thunderbird-lightning-gdata-45.02.6.0.3-4.fc23.x86_64, restarted TBird, downloaded the online version of the Google provider and it still crashes.

I have now resubscribed to the Google calendars I use using their provided ics connections. Laborious, but they all now work.

Comment 22 Fedora Update System 2016-05-19 06:59:39 UTC
thunderbird-45.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa576c7699

Comment 23 Fedora Update System 2016-05-19 06:59:50 UTC
thunderbird-45.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-71d3d705a3

Comment 24 Fedora Update System 2016-05-19 06:59:58 UTC
thunderbird-45.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a302f49f6d

Comment 25 Jan Horak 2016-05-19 07:12:50 UTC
I've just made an update which should address your issue. Could you please try it if it fixes your problems? You can use update-testing repository or get builds from koji: http://koji.fedoraproject.org/koji/packageinfo?packageID=39

Comment 26 Andrew Meredith 2016-05-19 09:35:22 UTC
- Deleted my directly subscribed GCalendar entries
- Downloaded and installed the rpm from Kodi (not on the repo yet)
- Started Thunderbird (no crash, as before)
- Installed the Google connector from the Mozilla site (version on repo needs 45.0 rpm)
- Restarted ... No Crash .. This is new.
- Added Google calendar .. all is well, the items all showed up as they should
- Started writing this report and decided I better try a restart with the calendars in place ... CRASH

Sorry .. something is still broken

I will attempt to run under gdb and see what gives

Comment 27 Andrew Meredith 2016-05-19 11:41:08 UTC
- Disabled and deleted the downloaded Google provider in safe mode and restarted (no crash)

- Downloaded the rest of the new packages from Koji

mozilla-crashreporter-thunderbird-debuginfo-45.1.0-2.fc23.x86_64.rpm
thunderbird-45.1.0-2.fc23.x86_64.rpm
thunderbird-debuginfo-45.1.0-2.fc23.x86_64.rpm
thunderbird-lightning-gdata-2.6.0.3-2.fc23.x86_64.rpm

- Started Thunderbird without Google provider enabled (no crash)
- Switched on Google Provider and restarted (Crash)

I then used the following command line to start Thunderbird under gdb:

/usr/lib64/thunderbird/run-mozilla.sh -g /usr/lib64/thunderbird/thunderbird-bin -d gdb

Sadly nothing upset gdb sufficient to make it print anything when it crashed.

I have now disabled Google Provider again and Thunderbird starts up without crashing.

Sorry, no further forward.

Comment 28 Jan Horak 2016-05-19 11:54:27 UTC
Thanks you still looking into it! I've got some suggestions what else to check.

If you can, please try the fresh profile again with 45.1.0-2. If that helps look into .thunderbird/<yourprofile>/extensions/ and compare content of {e2fda1a4-762b-40~ad-a41df1933103} with /usr/lib64/thunderbird/distribution/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103} (that's the lightning extension). If the content differ, delete {e2fda1a4-762b-40~ad-a41df1933103} from your profile and copy it from /usr/lib64/thunderbird/distribution/extensions back again.

The same can be applied for gdata provider (should be {a62ef8ec-5fdc-40c2-873c-223b8a6925cc}) and system installation can be found in /usr/lib64/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}/.

In case you want to run thunderbird in gdb again you can do so easily by easy executing:
thunderbird -g

Comment 29 Andrew Meredith 2016-05-19 12:23:26 UTC
Performed the following:

- Re-eanbled gdata and restarted TBird (Crash)

- cd $HOME/.thunderbird/fn2qwsou.default/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}
- find -type f | while read FN; do cmp "$FN" "/usr/lib64/thunderbird/distribution/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/$FN"; done

No differences I'm afraid.

The ID {a62ef8ec-5fdc-40c2-873c-223b8a6925cc} was not present anywhere but in /usr/lib64/mozilla/extensions/ .. and this was after a fresh db update of mlocate. In fact switching the gdata extension on did nothing to the profile at all. Still crashed TBird though.

Incidentally, when TBird crashes it is still running in the background, just the X window goes away; if this helps. Guess that explains why despite the window vanishing, nothing triggered gdb.

Comment 30 Andrew Meredith 2016-05-19 12:29:01 UTC
Just for paranoia, I deleted all the greyed out Google calendar entries and re-enabled the provider. It did not crash on restart. It would seem to confirm my previous observation that only when you actually use the provider does it cause a crash; just having it enabled doesn't seem to harm anything.

Comment 31 Andrew Meredith 2016-05-19 13:10:26 UTC
Now here's something interesting. I have a lot of accounts configured in Thunderbird and I also have the "Master Password" configured. I never have a chance to complete the process of typing in and dismissing all the "Enter Master Password" dialogs that come up on startup before the calendar starts up. I wondered if this was the issue, so I removed the master password and restarted.

NO CRASH !!

I restarted a few times to be sure, but it came up clean every time. I waited until everything was up, fiddled with the calendar entries and everything stayed stable.

Then I reset the master password and it crashed every time.

I would suggest that there is some kind of issue with starting the gdata extension when the master password has not been entered.

Hope this helps

Comment 32 Fedora Update System 2016-05-21 01:23:02 UTC
thunderbird-45.1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a302f49f6d

Comment 33 Fedora Update System 2016-05-21 01:33:30 UTC
thunderbird-45.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-71d3d705a3

Comment 34 Fedora Update System 2016-05-21 02:27:45 UTC
thunderbird-45.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa576c7699

Comment 35 Fedora Update System 2016-05-22 02:25:20 UTC
thunderbird-45.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Andrew Meredith 2016-05-23 12:26:53 UTC
As noted above, this update does not fix the problem.

It looks like it is actually a race problem where the interfaces closes if the master password is set and is not entered before the Google calendars are accessed.

Please reopen

Comment 37 Fedora Update System 2016-05-25 20:03:29 UTC
thunderbird-45.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Andrew Meredith 2016-05-26 09:34:11 UTC
It's not fixed.

As I said above this update makes no difference.

Comment 39 Michael Cronenworth 2016-05-26 13:19:19 UTC
Open a NEW bug for your new issue. I suggest you open your new bug report upstream: https://bugzilla.mozilla.org

Comment 40 Andrew Meredith 2016-05-26 13:46:11 UTC
It's not a new bug ?!

What is this ? Some kind of effort to massage your stats ?!

Comment 41 Jan Horak 2016-05-30 12:44:46 UTC
(In reply to Andrew Meredith from comment #40)
> It's not a new bug ?!
> 
> What is this ? Some kind of effort to massage your stats ?!
No, it looks like the issue reported by creator of this bug was resolved (xml popup). You seems to suffer next to xml popup from another bug (a crash). If you be so kind, please fill a new report with reproduction steps we got so far that I can try to reproduce it.

Comment 42 Fedora Update System 2016-06-09 08:49:35 UTC
thunderbird-45.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-22cdb97bb4

Comment 43 dre.santos 2016-06-09 16:20:11 UTC
Hi,

I have tried solution #42 and I has worked for me.
I have local calendar, ICS, Gmail and Exchange, and after the upgrade to the thunderbird-45.1.1-1.fc22 all calenders have started to work

Comment 44 Fedora Update System 2016-06-10 03:23:56 UTC
thunderbird-45.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-22cdb97bb4

Comment 45 Fedora Update System 2016-06-13 13:19:35 UTC
thunderbird-45.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-babda1429a

Comment 46 Victoriano Giralt 2016-06-13 21:48:06 UTC
I confirm that thunderbird-45.1.1-2.fc22 solves the problem originally reported on this bug.

Comment 47 Fedora Update System 2016-06-13 22:27:23 UTC
thunderbird-45.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-babda1429a

Comment 48 Fedora Update System 2016-07-18 08:09:24 UTC
thunderbird-45.2.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee32318ae1

Comment 49 Fedora Update System 2016-07-18 21:52:31 UTC
thunderbird-45.2.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee32318ae1

Comment 50 Fedora End Of Life 2016-07-19 20:01:20 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 51 Sam Tygier 2017-01-08 20:45:59 UTC
I am seeing this 45.6.0 in fedora 25 ( thunderbird-45.6.0-2.fc25.x86_64 ). I have just installed F25 and copied home folder that was previously used with F23.

Comment 52 Sam Tygier 2017-01-08 20:52:51 UTC
Reinstalling from https://www.mozilla.org/en-US/projects/calendar/ fixes this for me. (Download the xpi. in thunderbird's extension (tools->addons), click the cog and select "install addon from file")

Comment 53 Mark van Rossum 2017-01-10 11:31:58 UTC
I also encountered this with FC25.

Sam's solution works. 
As did  
LANG=en_US.utf8 thunderbird 
suggested above.

Note, report needs to be re-opened.

Comment 54 Random User 2017-01-12 16:55:30 UTC
Although I'm late to the party (re: just now encountering this), I can confirm that:

(1) this bug still exists in Thunderbird 45.6.0 (update applied on 2017-01-11) in FC25.
(2) reinstalling Lightning (without uninstalling) as per Sam in Comment 52 effectively resolves the issue.

Comment 55 Trevor Hemsley 2017-01-30 01:19:51 UTC
This bug also appears to affect CentOS 7 (and probably RHEL7 too). Using thunderbird-45.6.0-1.el7.centos.x86_64 and the export LANG= works for me.

Comment 56 Trevor Hemsley 2017-02-03 16:02:21 UTC
And... fixed in thunderbird-45.7.0-1.el7.centos.x86_64. Thanks.


Note You need to log in before you can comment on or make changes to this bug.